javax.persistence

## Enum CascadeType

- java.lang.Object
- - java.lang.Enum<CascadeType>
  - - javax.persistence.CascadeType

- All Implemented Interfaces:
    Serializable, Comparable<CascadeType>

      public enum CascadeType
      extends Enum<CascadeType>

  Defines the set of cascadable operations that are propagated to the associated entity. The value `cascade=ALL` is equivalent to `cascade={PERSIST, MERGE, REMOVE, REFRESH, DETACH}`.
  Since:
    Java Persistence 1.0

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `ALL` Cascade all operations
    `DETACH` Cascade detach operation
    `MERGE` Cascade merge operation
    `PERSIST` Cascade persist operation
    `REFRESH` Cascade refresh operation
    `REMOVE` Cascade remove operation

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static CascadeType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static CascadeType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### ALL

          public static final CascadeType ALL

      Cascade all operations

    - #### PERSIST

          public static final CascadeType PERSIST

      Cascade persist operation

    - #### MERGE

          public static final CascadeType MERGE

      Cascade merge operation

    - #### REMOVE

          public static final CascadeType REMOVE

      Cascade remove operation

    - #### REFRESH

          public static final CascadeType REFRESH

      Cascade refresh operation

    - #### DETACH

          public static final CascadeType DETACH

      Cascade detach operation
      Since:
        Java Persistence 2.0

  - ### Method Detail

    - #### values

          public static CascadeType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (CascadeType c : CascadeType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static CascadeType valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 1996-2013, Oracle and/or its affiliates. All Rights Reserved. Use is subject to license terms.